Subject: bug#47748: closed (Re: bug#47748: Packages which cant be find/removed by guix remove)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 16 Apr 2021 03:42:02 +0000

Your bug report

#47748: Packages which cant be find/removed by guix remove

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47748: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47748
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47748: Packages which cant be find/removed by guix remove
From: Leo Famulari <[email-masked]>
To: bo0od <[email-masked]>
Cc: Julien Lepiller <[email-masked]>, [email-masked]
Date: Thu, 15 Apr 2021 23:41:33 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Apr 16, 2021 at 02:11:09AM +0000, bo0od wrote:
> My friend isnt this what im saying not friendly,bad usability,disaster...etc
> 
> And i said to have maybe something like synapse which mean addressing
> everything installed and user can just remove the packages by clicking on
> them (or lets call it the GUI way of doing it) similar to the functionally
> you showed:

The programs you are asking to remove are used internally by Guix.

You can't remove them with a simple command. You can't do that on other
Linux distros either.

For example, on Debian, I have /usr/bin/gpg:

------
$ ls -l /usr/bin/gpg
-rwxr-xr-x 1 root root 1046256 Aug 22  2019 /usr/bin/gpg
------

Then I uninstall it:

------
$ sudo apt-get remove gpg
[...]
$ ls -l /usr/bin/gpg
ls: cannot access '/usr/bin/gpg': No such file or directory
-----

But, apt-get uses gpg too, to check package signatures. It still has its
own copy of gpg, so it still works. You can't remove it easily.

It's the same situation, and it's not a bug.

Subject: Packages which cant be find/removed by guix remove
From: bo0od <[email-masked]>
To: [email-masked]
Date: Tue, 13 Apr 2021 12:46:19 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi There,

I saw some packages installed by default with guix like wpa-supplicant 
and avahi..., But if i type 'guix remove av' and i press tab nothing 
will complete the word and if i type 'guix remove avahi' or 'guix remove 
wpa-supplicant' ... just give error message. (check the uploaded txt file)